<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/head.php" ?>

<!-- Poster Carousel -->
<link rel="stylesheet" type="text/css" href="/css/carousel.css">
<script src="/js/jquery.carouFredSel-6.2.1.js"></script>

<title><?php echo $site_name; ?></title>

</head>

<body id="">
    
	<div id="main_wrapper">
		<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/header.php" ?>
		<div>
            <a href="https://www.paragontheaters.com/page?id=14828">
                <img src="/images/Paragon-HS-CinaSafe-Banner_1024x75.jpg" width="100%" />
            </a>
        </div>
		<div id="content">
			
			<div id="carousel_wrapper">
				<div id="carousel_buttons">
					<div id="but_nowplaying" class="carousel_button fade">Now Playing</div>
			        <div id="but_comingsoon" class="carousel_button fade">Coming Soon</div>
				</div>
				
			    <div id="car_nowplaying" class="image_carousel">
			        <div id="nowplaying" class="inner_carousel">
			            <?php require_once $_SERVER['DOCUMENT_ROOT'] . "/includes/data/carousel_np.html" ?>
			        </div>
			        <div class="clearfix"></div>
			        <a class="prev right-shadow fade" id="nowplaying_prev" href="#"><span>prev</span></a>
			        <a class="next left-shadow fade" id="nowplaying_next" href="#"><span>next</span></a>
			        <div class="pagination" id="nowplaying_pag"></div>
			    </div>
			    
			    <div id="car_comingsoon" class="image_carousel">
			        <div id="comingsoon" class="inner_carousel">
			            <?php require_once $_SERVER['DOCUMENT_ROOT'] . "/includes/data/carousel_cs.html" ?>
			        </div>
			        <div class="clearfix"></div>
			        <a class="prev right-shadow fade" id="comingsoon_prev" href="#"><span>prev</span></a>
			        <a class="next left-shadow fade" id="comingsoon_next" href="#"><span>next</span></a>
			        <div class="pagination" id="comingsoon_pag"></div>
			    </div>
			    
			    <div class="tix-box">
				    <h3 style="font-weight: 700">Showtimes<br />&<br />Tickets</h3>
				    <select id="select-houses" name="select-houses" onchange="select_link('houses');">
					    <option value="">Select Location</option>
					    <?php require_once $_SERVER['DOCUMENT_ROOT'] . "/includes/data/houses_select.html" ?>
				    </select>
				    <p class="center">OR</p>
				    <select id="select-movies" name="select-movies" onchange="select_link('movies');">
					    <option value="">Select Movie</option>
					    <?php require_once $_SERVER['DOCUMENT_ROOT'] . "/includes/data/movies_select.html" ?>
				    </select>
				</div>
			    
			</div>
						
			<div class="clearfix"></div>
		</div>
					
    	<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer.php" ?>
    </div>

</body>
</html>