<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
   <head>
   	  <?php
   	  //get querystring parameter
   	  $size_ext_width = "px";
   	  $size_ext_height = "px";
   	  $type = $_GET["type"];
   	  $width = $_GET["width"];
   	  $height = $_GET["height"];
   	  $lat = $_GET["lat"];
   	  $lon = $_GET["lon"];
   	  $name = urldecode($_GET["name"]);
   	  $address = urldecode($_GET["address"]);
   	  $info =  $_GET["info"];
   	  
   	  //width extension
   	  if ($width == "responsive") { 
   	  	  $width = "100%";
	   	  $size_ext_width = "";
   	  }
   	  if ($height == "responsive") {
   	  	  $height = "100%";
	   	  $size_ext_height = "";
   	  }

   	  
   	  //set default size. 250 X 300px
   	  if ($width == "") {
	   	  $width = "250";
   	  }
   	  if ($height == "") {
	   	  $height = "300";
   	  }
   	  ?>
      <title></title>
      <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	  
	  <?php if ($type == "bing") { ?>
	      <script type="text/javascript" src="http://dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=7.0"></script>
	      <script type="text/javascript">
	         
	         function GetMap() {
	            // Initialize the map
	            var map = new Microsoft.Maps.Map(document.getElementById("mapDiv"),
	                         {credentials:"AjzxrsoWiH0yIpDcJJ4AiX-G-nXMQ6nxDglf9sJgQymX_qSxk8g5tSBrQbb5XR9Y"}); 
	
	            // Define the pushpin location
	            var pin_loc = new Microsoft.Maps.Location(<?php echo $lat; ?>, <?php echo $lon; ?>);
	            var map_loc = new Microsoft.Maps.Location(<?php echo (floatval($lat) + .004); ?>, <?php echo (floatval($lon) + .004); ?>);
	            
	            // Add a pin to the map
	            var pin = new Microsoft.Maps.Pushpin(pin_loc, {text: '1'});
	            
	            
	            // Create the infobox for the pushpin
	            pinInfobox = new Microsoft.Maps.Infobox(pin.getLocation(), 
	                {title: '<?php echo $name; ?>', 
	                 description: '<?php echo $address; ?>', 
	                 visible: true,
	                 width: 170,
	                 height: 100,
	                 showCloseButton: true,
	                 offset: new Microsoft.Maps.Point(0,15)});
	            
	            // Add handler for the pushpin click event.
	            Microsoft.Maps.Events.addHandler(pin, 'click', displayInfobox);
	
	            // Hide the infobox when the map is moved.
	           // Microsoft.Maps.Events.addHandler(map, 'viewchange', hideInfobox);
	            
	            // Add the pushpin and infobox to the map
	            map.entities.push(pin);
	            map.entities.push(pinInfobox);
	
	            // Center the map on the location
	            map.setView({center: map_loc, zoom: 14});
	         }
			 
			 function displayInfobox(e) {
	            pinInfobox.setOptions({ visible:true });
	         }                    
	
	         function hideInfobox(e) {
	            pinInfobox.setOptions({ visible: false });
	         }
	      </script>
	  <?php } else if ($type == "google") { ?>
	      	<script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false"></script> 
		
			<script type="text/javascript">
			
			    var map;
			
			    function offsetCenter(latlng, offsetx, offsety) {
			
			        // latlng is the apparent centre-point
			        // offsetx is the distance you want that point to move to the right, in pixels
			        // offsety is the distance you want that point to move upwards, in pixels
			        // offset can be negative
			        // offsetx and offsety are both optional
			
			        var scale = Math.pow(2, map.getZoom());
			        var nw = new google.maps.LatLng(
					    map.getBounds().getNorthEast().lat(),
					    map.getBounds().getSouthWest().lng()
					);
					
					        var worldCoordinateCenter = map.getProjection().fromLatLngToPoint(latlng);
					        var pixelOffset = new google.maps.Point((offsetx / scale) || 0, (offsety / scale) || 0)
					
					        var worldCoordinateNewCenter = new google.maps.Point(
					    worldCoordinateCenter.x - pixelOffset.x,
					    worldCoordinateCenter.y + pixelOffset.y
					);
			
			        var newCenter = map.getProjection().fromPointToLatLng(worldCoordinateNewCenter);
			
			        map.setCenter(newCenter);
			    }
			
			 			
			    function showAddress(lat, lon, sText) {
			    	
			        var mapOptions = {
			            zoom: 14,
			            center: new google.maps.LatLng(lat, lon),
			            mapTypeId: google.maps.MapTypeId.ROADMAP
			        };
			        map = new google.maps.Map(document.getElementById('mapDiv'), mapOptions);
			
					<?php if ($info != "no") { ?>
			        var infowindow = new google.maps.InfoWindow({
			            content: sText,
			            maxWidth: 100,
			            maxHeight: 75
			        });
			        <?php } ?>
					
			        var marker = new google.maps.Marker({
			            position: new google.maps.LatLng(lat, lon),
			            map: map,
			            title: 'Cinema Location'
			        });
			
					<?php if ($info != "no") { ?>
			        infowindow.open(map, marker);
					<?php } ?>
					
					// Resize stuff...
					google.maps.event.addDomListener(window, "resize", function() {
					   var center = map.getCenter();
					   google.maps.event.trigger(map, "resize");
					   map.setCenter(center); 
					});
					
			    }
			
			
			</script>
		<?php } ?>
   </head>
   <body onload="<?php if ($type == "bing") { echo "GetMap();"; } else { echo "showAddress(" . $lat . ", " . $lon . ", '<strong>" . $name . "</strong><br>" . $address . "');"; }?>">
      <div id='mapDiv' style="position:relative; width:<?php echo $width . $size_ext_width; ?>; height:<?php echo $height . $size_ext_height; ?>;"></div>       
   </body>
</html>