<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/head.php" ?>

<title><?php echo $site_name; ?> | MPAA</title>

</head>

<body id="">
    
	<div id="main_wrapper">
		<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/header.php" ?>
		
		<div id="content">
			<h1 class="titlebar">Movie Ratings</h1>
           <div class="container">


  <article class="content">
    <section><br />
        <img src="/img/mpaa/g.jpg"> <p class="header">G — General Audiences. All Ages Admitted.</p>
        <p class="infoblock">A G-rated motion picture contains nothing in theme, language, nudity, sex, violence or other matters that, in the view of the Rating Board, would offend parents whose younger children view the motion picture. The G rating is not a "certificate of approval," nor does it signify a "children’s" motion picture. Some snippets of language may go beyond polite conversation but they are common everyday expressions. No stronger words are present in G-rated motion pictures. Depictions of violence are minimal. No nudity, sex scenes or drug use are present in the motion picture.</p>
     
    </section>
        <section>
        <br>
<img src="/img/mpaa/PG.gif"> <p class="header">PG — Parental Guidance Suggested. Some Material May Not Be Suitable For Children.</p><p class="infoblock">A PG-rated motion picture should be investigated by parents before they let their younger children attend. The PG rating indicates, in the view of the Rating Board, that parents may consider some material unsuitable for their children, and parents should make that decision. The more mature themes in some PG-rated motion pictures may call for parental guidance. There may be some profanity and some depictions of violence or brief nudity. But these elements are not deemed so intense as to require that parents be strongly cautioned beyond the suggestion of parental guidance. There is no drug use content in a PG-rated motion picture.</p>
     
    </section>
   
       <section><br />
        <img src="/img/mpaa/pg13.jpg"> <p class="header">PG-13 — Parents Strongly Cautioned. Some Material May Be Inappropriate For Children Under 13.</p>
        <p class="infoblock">A PG-13 rating is a sterner warning by the Rating Board to parents to determine whether their children under age 13 should view the motion picture, as some material might not be suited for them. A PG-13 motion picture may go beyond the PG rating in theme, violence, nudity, sensuality, language, adult activities or other elements, but does not reach the restricted R category. The theme of the motion picture by itself will not result in a rating greater than PG-13, although depictions of activities related to a mature theme may result in a restricted rating for the motion picture. Any drug use will initially require at least a PG-13 rating. More than brief nudity will require at least a PG-13 rating, but such nudity in a PG-13 rated motion picture generally will not be sexually oriented. There may be depictions of violence in a PG-13 movie, but generally not both realistic and extreme or persistent violence. A motion picture’s single use of one of the harsher sexually-derived words, though only as an expletive, initially requires at least a PG-13 rating. More than one such expletive requires an R rating, as must even one of those words used in a sexual context. The Rating Board nevertheless may rate such a motion picture PG-13 if, based on a special vote by a two-thirds majority, the Raters feel that most American parents would believe that a PG-13 rating is appropriate because of the context or manner in which the words are used or because the use of those words in the motion picture is inconspicuous.</p>
     
    </section>
      <section><br />
        <img src="/img/mpaa/r.gif"> <p class="header">R — Restricted. Children Under 17 Require Accompanying Parent or Adult Guardian.</p>
        <p class="infoblock">An R-rated motion picture, in the view of the Rating Board, contains some adult material. An R-rated motion picture may include adult themes, adult activity, hard language, intense or persistent violence, sexually-oriented nudity, drug abuse or other elements, so that parents are counseled to take this rating very seriously. Children under 17 are not allowed to attend R-rated motion pictures unaccompanied by a parent or adult guardian. Parents are strongly urged to find out more about R-rated motion pictures in determining their suitability for their children. Generally, it is not appropriate for parents to bring their young children with them to R-rated motion pictures.</p>
     
    </section>
   <section><br />
        <img src="/img/mpaa/nc17.jpg" > <p class="header">NC-17 — No One 17 and Under Admitted.</p>
        <p class="infoblock">An NC-17 rated motion picture is one that, in the view of the Rating Board, most parents would consider patently too adult for their children 17 and under. No children will be admitted. NC-17 does not mean "obscene" or "pornographic" in the common or legal meaning of those words, and should not be construed as a negative judgment in any sense. The rating simply signals that the content is appropriate only for an adult audience. An NC-17 rating can be based on violence, sex, aberrational behavior, drug abuse or any other element that most parents would consider too strong and therefore off-limits for viewing by their children </p>
     
    </section>
     

  <!-- end .content --></article>

  <footer>
    <p>Information taken from <a href="http://www.mpaa.org/" target="_blank">www.mpaa.org</a>.</p>
   
  </footer>
 



			
			<div class="clearfix"></div>
		</div>
					
    	<?php require_once $_SERVER["DOCUMENT_ROOT"] . "/includes/footer.php" ?>
    </div>

</body>
</html>